This patch release improves the Playwright compatibility, fixes a few more bugs, and makes extension-wide internal improvements.

## Playwright Compatibility

- Update the flags for launching Chrome. ([#148](https://github.com/grafana/xk6-browser/pull/148))

  Improves the compatibility between xk6-browser and Playwright by updating flags that are internally used when launching a Chrome browser. _See the [issue]((https://github.com/grafana/xk6-browser/issues/147)) for details._

- Rename `Page.BrintToFront` to `Page.BringToFront`. ([#131](https://github.com/grafana/xk6-browser/pull/131))

## Bugs fixed

- Fix nil interface conversion error in `Frame.document()`. ([#149](https://github.com/grafana/xk6-browser/pull/149))

  Since `Frame.document()` is being used by a lot of other functions, this change possibly fixes known and other unknown bugs that may exist in `Page.$`, `Page.$$`, `Frame.Query`, `Frame.QueryAll`, `Frame.WaitForSelector`, and many other functions.

- Fix special characters not working bug. ([#134](https://github.com/grafana/xk6-browser/pull/134))

- Fix parsing of custom remote objects. ([#130](https://github.com/grafana/xk6-browser/pull/130))

## Improvements

- Improve handling of special characters. ([#134](https://github.com/grafana/xk6-browser/pull/134))

  Some characters can only be produced with special key combinations. For example: `@` can only be produced when `Shift` and `2` keys are pressed together. This change fixes some missing and incorrect characters in the US keyboard layout, adds shift key detection, improves the error messages, and increases the maintainability of the input handling.

- Improve log handling across the extension components for ease of debugging. ([#131](https://github.com/grafana/xk6-browser/pull/131))

  This change adds log calls to nearly every component across the extension and uses the same logger instance by passing it to a chain of components while launching a browser process.

- Improve handling and parsing of custom remote objects. ([#130](https://github.com/grafana/xk6-browser/pull/130))

  This change converts remote objects to JSON for producing a safe output when they are used within `console.log()` or `Evaluate` calls.

## Internals

- Fix handling of make slice calls. ([#150](https://github.com/grafana/xk6-browser/pull/150))

- Use `k6Throw` calls in some entities. ([#152](https://github.com/grafana/xk6-browser/pull/152))
